gnutls_ocsp_resp_get_single(3)

NAME
gnutls_ocsp_resp_get_single - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_single(gnutls_ocsp_resp_t resp, unsigned indx, gnutls_digest_algorithm_t * digest, gnutls_datum_t * issuer_name_hash, gnutls_datum_t * issuer_key_hash, gnutls_datum_t * serial_number, unsigned int * cert_status, time_t * this_update, time_t * next_update, time_t * revocation_time, unsigned int * revocation_reason);

ARGUMENTS

gnutls_ocsp_resp_t resp
    should contain a gnutls_ocsp_resp_t type

unsigned indx
    Specifies response number to get. Use (0) to get the first one.

gnutls_digest_algorithm_t * digest
    output variable with gnutls_digest_algorithm_t hash algorithm

gnutls_datum_t * issuer_name_hash
    output buffer with hash of issuer's DN

gnutls_datum_t * issuer_key_hash
    output buffer with hash of issuer's public key

gnutls_datum_t * serial_number
    output buffer with serial number of certificate to check

unsigned int * cert_status
    a certificate status, a gnutls_ocsp_cert_status_t enum.

time_t * this_update
    time at which the status is known to be correct.

time_t * next_update
    when newer information will be available, or (time_t)-1 if unspecified

time_t * revocation_time
    when cert_status is GNUTLS_OCSP_CERT_REVOKED, holds time of revocation.

unsigned int * revocation_reason
    revocation reason, a gnutls_x509_crl_reason_t enum.

DESCRIPTION
This function will return the certificate information of the
 indx 'ed response in the Basic OCSP Response resp . The information returned corresponds to the OCSP SingleResponse structure except the final singleExtensions.

Each of the pointers to output variables may be NULL to indicate that the caller is not interested in that value.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. If you have reached the last CertID available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/